about summary refs log tree commit diff
diff options
context:
space:
mode:
authorArun Isaac2026-08-07 02:14:52 +0100
committerArun Isaac2026-08-07 02:14:52 +0100
commitb83b3eb5b74cbd46b3572ec8463fc591114b8bef (patch)
tree3e9358a33a1f6d086bfd711e4afbdbeb92224c92
parentf384343c32d08c605f975da67ccfbd8d3729fe53 (diff)
downloadkaagum-b83b3eb5b74cbd46b3572ec8463fc591114b8bef.tar.gz
kaagum-b83b3eb5b74cbd46b3572ec8463fc591114b8bef.tar.lz
kaagum-b83b3eb5b74cbd46b3572ec8463fc591114b8bef.zip
Set pipefail when running API key commands.
-rwxr-xr-xbin/kaagum3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/kaagum b/bin/kaagum
index e2ff91f..09902fa 100755
--- a/bin/kaagum
+++ b/bin/kaagum
@@ -96,7 +96,8 @@ Run kaagum AI agent.
   ;; We use a shell to execute since
   ;; 1. api-key-command is a string, not a list of string arguments
   ;; 2. api-key-command may contain pipes
-  (call-with-input-pipe `("sh" "-c" ,api-key-command)
+  ;; We set pipefail so that a failure in any command in the pipe is reported.
+  (call-with-input-pipe `("sh" "-o" "pipefail" "-c" ,api-key-command)
     (compose string-trim-both get-string-all)))
 
 (define main